class RedisHelper
  attr_accessor :connection

  def initialize(host: host, db: db)
    @host = host
    @db = db
    @connection = Redis.new(host: host, db: db)
  end

  def send_paste_key(key)
    connection.sadd(key, 'pastes')
  end

  def paste_key_exists?(key)
    connection.sismember(key, 'pastes')
  end
end
